View a markdown version of this page

GetDataset - Amazon Connect Health

GetDataset

Retrieves information about a Dataset, including its status and, after it is built, its results. A dataset whose status is DELETED returns ResourceNotFoundException.

Datasets are in preview release and are subject to change.

Request Syntax

GET /domains/domainId/datasets/datasetId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

datasetId

The unique identifier of the dataset.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]{1,64}

Required: Yes

domainId

The unique identifier of the parent Domain.

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "arn": "string", "artifacts": { ... }, "config": { ... }, "createdAt": number, "datasetId": "string", "name": "string", "status": "string", "statusDetails": "string", "type": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

arn

The Amazon Resource Name (ARN) of the dataset.

Type: String

Pattern: arn:aws[a-z\-]*:[a-z0-9\-]+:[a-z0-9\-]*:[0-9]{12}:.+

artifacts

The results of building the dataset, such as medical coding evaluation scores. Available after Amazon Connect Health builds the dataset.

Type: DatasetArtifacts object

Note: This object is a Union. Only one member of this object can be specified or returned.

config

The configuration that you provided when you created the dataset.

Type: DatasetConfig object

Note: This object is a Union. Only one member of this object can be specified or returned.

createdAt

The date and time that the dataset was created.

Type: Timestamp

datasetId

The unique identifier of the dataset.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]{1,64}

name

The name of the dataset.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1028.

Pattern: [\x20-\x21\x23\x24\x2A-\x3A\x3F-\x7E]*

status

The status of the dataset.

Type: String

Valid Values: CREATING | ACTIVE | CREATE_FAILED | DELETING | DELETE_FAILED | DELETED

statusDetails

Details about the status of the dataset, such as the reason that it failed to build or delete.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1028.

Pattern: [\x20-\x21\x23\x24\x2A-\x3A\x3F-\x7E]*

type

The type of the dataset.

Type: String

Valid Values: MEDICAL_CODING

updatedAt

The date and time that the dataset was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This error is thrown when the client does not supply proper credentials to the API.

HTTP Status Code: 401

InternalServerException

This error is thrown when a transient error causes our API to fail.

HTTP Status Code: 500

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

ThrottlingException

This error is thrown when the client exceeds the allowed request rate.

HTTP Status Code: 429

ValidationException

This error is thrown when the client supplies invalid input to the API.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: